import request from "@/utils/request";
import {BASE} from "./apiGateway";
let api = {
	addOnlineConsult(data) {
		return request({
			url: `${BASE}/im/patient/addOnlineConsult`,
			method: 'post',
      data
		});
	},

	isExistsUnfinishedOnline(params) {
		return request({
			url: `${BASE}/im/patient/isExistsUnfinishedOnline`,
			method: 'GET',
      params
		});
  },
  
  append(data) {
		return request({
			url: `${BASE}/im/patient/append`,
			method: 'post',
      data
		});
  },
  
  records(params) {
		return request({
			url: `${BASE}/im/patient/records`,
			method: 'GET',
      params
		});
  },
  
  finish(data) {
		return request({
			url: `${BASE}/im/patient/finish`,
			method: 'post',
      data
		});
	},

  findLastOnlineConsult(params) {
		return request({
			url: `${BASE}/im/patient/findLastOnlineConsult`,
			method: 'get',
      params
		});
	},

  findDoctorByOrg(params) {
		return request({
			url: `${BASE}/patient/course/findDoctorByOrg`,
			method: 'get',
      params
		});
	},

  findConsultDoctor(params) {
		return request({
			url: `${BASE}/im/patient/findConsultDoctor`,
			method: 'get',
      params
		});
	}

};

export default api;